<template>
  <div class="">
    <NavBarComp></NavBarComp>
    <h1>{{ msg }}</h1>
    <h1 class="m-4">Übersicht</h1>

    <div class="container-fluid">
      <b-container class="bv-example-row">
        <b-row class="bgcolor">
          <b-col lg="2">
            <table class="table">
              <th>Montag</th>
              <tr v-for="(unterrichtsTag, id) in unterrichtsTagByGruppenId.unterrichtsTag" :key='id'>

                <table v-if="unterrichtsTag.tage === 'MONTAG'">
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachUnterricht }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachBezeichnung }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.trainerIn.name }}</td>
                  </tr>
                </table>

              </tr>
            </table>
          </b-col>
          <b-col lg="2">
            <table class="table">
              <th>Dienstag</th>
              <tr v-for="(unterrichtsTag, id) in unterrichtsTagByGruppenId.unterrichtsTag" :key='id'>

                <table v-if="unterrichtsTag.tage === 'DIENSTAG'">
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachUnterricht }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachBezeichnung }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.trainerIn.name }}</td>
                  </tr>
                </table>

              </tr>
            </table>
          </b-col>
          <b-col lg="2">
            <table class="table">
              <th>Mittwoch</th>
              <tr v-for="(unterrichtsTag, id) in unterrichtsTagByGruppenId.unterrichtsTag" :key='id'>

                <table v-if="unterrichtsTag.tage === 'MITTWOCH'">
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachUnterricht }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachBezeichnung }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.trainerIn.name }}</td>
                  </tr>
                </table>

              </tr>
            </table>
          </b-col>
          <b-col lg="2">
            <table class="table">
              <th>Donnerstag</th>
              <tr v-for="(unterrichtsTag, id) in unterrichtsTagByGruppenId.unterrichtsTag" :key='id'>

                <table v-if="unterrichtsTag.tage === 'DONNERSTAG'">
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachUnterricht }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachBezeichnung }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.trainerIn.name }}</td>
                  </tr>
                </table>

              </tr>
            </table>
          </b-col>
          <b-col lg="2">
            <table class="table">
              <th>Freitag</th>
              <tr v-for="(unterrichtsTag, id) in unterrichtsTagByGruppenId.unterrichtsTag" :key='id'>

                <table v-if="unterrichtsTag.tage === 'FREITAG'">
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachUnterricht }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.fach.fachBezeichnung }}</td>
                  </tr>
                  <tr>
                    <td>{{ unterrichtsTag.trainerIn.name }}</td>
                  </tr>
                </table>

              </tr>
            </table>
          </b-col>

          <b-col lg="2">
            <form @submit.prevent="getUnterrichtsTagByGruppenId()" action="">
              <label for="">Gruppe wählen</label>
              <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id="" v-model="gruppenId.id">
                <option v-for="(gruppe, id) in alleGruppen" :key='id' :value="gruppe.id">
                  {{ gruppe.artDerAusbildung }}{{ gruppe.gruppenNummer }}</option>
              </select>
              <button type="submit" class="btn container-fluid btn-info">Laden</button>
            </form>
          </b-col>
        </b-row>
      </b-container>
      <br>
      <div class="mt-4 container">
        <hr class="hrstyle">
        <h2 class="m-4">Teilnehmer der Gruppe</h2>
        <table class="table">
          <th>Name</th>
          <th>e-mailAdresse</th>
          <th>Tel-Nummer</th>
          <tr v-for="(person, id) in unterrichtsTagByGruppenId.teilnehmerDTOList" :key='id'>
            <td>{{ person.name }}</td>
            <td>{{ person.eMailAdresse }}</td>
            <td>{{ person.telNummer }}</td>

          </tr>
        </table>
      </div>
    </div>

  </div>
</template>

<script>
import NavBarComp from './NavBarComp.vue';
export default {
  name: "HomeSite",
  props: {
    msg: String
  },
  data() {
    return {
      gruppenId: {
        id: null
      }
    }
  },
  components: { NavBarComp },

  computed: {
    alleUnterrichtsTage() {
      return this.$store.state.alleUnterrichtsTage
    },

    alleFaecher() {
      return this.$store.state.alleFaecher
    },

    alleTrainer() {
      return this.$store.state.alleTrainer;
    },

    alleGruppen() {
      return this.$store.state.alleGruppen;
    },

    unterrichtsTagByGruppenId() {
      return this.$store.state.alleUnterrichtsTageByGruppeId;

    }
  },

  methods: {

    getUnterrichtsTagByGruppenId() {
      console.warn(this.gruppenId.id)
      this.$store.dispatch('getAlleUnterrichtsTageByGruppeId', this.gruppenId.id)
    },

    saveGruppenId(id) {
      console.log(id);
    }
  },

  mounted() {
    this.$store.dispatch('getAlleUnterrichtsTage');
    this.$store.dispatch("getAlleTrainer");
    this.$store.dispatch("getAlleFaecher");
    this.$store.dispatch("getAlleGruppen");
    //this.$store.dispatch("getAlleUnterrichtsTageByGruppeId");
  },
}
</script>

<style scoped>
.bgcolor {
  background-color: rgb(233, 244, 252);
  border-radius: 25px;
  padding: 25px;
  min-height: 280px;
}

.hrstyle {
  border: 6px solid rgb(0, 195, 255);
  border-radius: 5px;
}

.notableborder {
  border: 0px;
}
</style>
